<ul class="list-group">
	<form id="form-estados" method="get">
		<input type="hidden" id="estados-value" name="estados" value="">
</form>
	<li class="list-group-item header-right filtros-check">
		<div class="form-group">
			<input type="checkbox" name="estado" id="check-estado-2" class="check-estado big-check" value="2" <?php echo (in_array(2, $estados)) ? 'checked="checked"' : ''; ?>>
			<label for="check-estado-2" class="col-form-label big-check-label">Pago Aceptado</label>
		</div>
		<div class="form-group">
			<input type="checkbox" name="estado" id="check-estado-3" class="check-estado big-check" value="3" <?php echo (in_array(3, $estados)) ? 'checked="checked"' : ''; ?>>
			<label for="check-estado-3" class="col-form-label big-check-label">Preparación en Curso</label>
		</div>
		<div class="form-group">
			<input type="checkbox" name="estado" id="check-estado-18" class="check-estado big-check" value="18" <?php echo (in_array(18, $estados)) ? 'checked="checked"' : ''; ?>>
			<label for="check-estado-18" class="col-form-label big-check-label">Disponible para retiro</label>
		</div>
	</li>
<?php
if(!empty($ventas)) {
	foreach($ventas as $k => $vt) {
		?>
		<li class="list-group-item">
			<h4 class="proveedor clickable" data-toggle="collapse" href="#collapse<?php echo $k;?>">
				<?php echo $transportistas[$k]['nombre'];?>
				<span class="badge badge-pill badge-primary" title="Cantidad de pedidos"><?php echo count($vt); ?></span>
			</h4>
			<div class="collapse" id="collapse<?php echo $k; ?>">
				<table class="tabla-transportistas">
					<?php
					$table = '';
					$jump = '';
					foreach($vt as $v) {
						$info = $v['info'];
						?>
							<tr>
								<?php
								foreach ($info as $field) {
									echo '<td>'. $field .'</td>';
								}


								/*
								<td><?php echo $info['nombre']; ?></td>
								<td><?php echo $info['direccion']; ?></td>
								<td><?php echo $info['comuna']; ?></td>
								<td><?php echo $info['telefono']; ?></td>
								<td><?php echo $info['cantidad']; ?></td>
								<td><?php echo $info['total']; ?></td>
								<td colspan="2"><?php echo $info['observaciones']; ?></td>
								*/
								?>
								<td>
										<button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#modalVenta" data-id="<?php echo $v['id']; ?>">
										<i class="fas fa-pencil-alt"></i>
									</button>
								</td>
							</tr>
						<?php
						
						$row = implode("\t", $info);
						$table .= $jump . $row;
						$jump = "\r\n";
					}
					?>
				</table>
				<div class="copy-container">
					<span class="badge badge-pill badge-success copy-button" data-id="<?php echo $k;?>">Copiar</span>
				</div>
				<textarea id="copyArea<?php echo $k;?>" class="copy-area"><?php echo $table; ?></textarea>
			</div>
		</li>
		<?php
	}
}
else {
	?>
	<li class="list-group-item">A&uacute;n no hay ventas</li>
	<?php
}
?>
</ul>

<?php $this->load->view('ventas/modal'); ?>
<script src="<?php echo js('ventas.js'); ?>"></script>

<script>
	$(document).ready(function(){
		$('.copy-button').click( function() {
			var id = $(this).data('id');
			$('#copyArea'+id).select();
			document.execCommand("copy");
		});

		$(document).on('change', '.check-estado', function(){
		console.log();
		let estados = '';
		let coma = '';
		$('.check-estado').each(function() {
			if ($(this).is(':checked')) {
				estados += coma + $(this).val();
				coma = ',';
			}
		});
		$('#estados-value').val(estados)
		$('#form-estados').submit();

	});

	});
	function copiar(element) {
		//creamos un input que nos ayudara a guardar el texto temporalmente
		var $temp = $("<input>");
		//lo agregamos a nuestro body
		$("body").append($temp);
		//agregamos en el atributo value del input el contenido html encontrado
		//en el td que se dio click
		//y seleccionamos el input temporal
		$temp.val($(element).html()).select();
		//ejecutamos la funcion de copiado
		document.execCommand("copy");
		//eliminamos el input temporal
		$temp.remove();
	}
</script>